Callbacks File Reference
`#include <osgDB/AuthenticationMap>`
`#include <osgDB/ReaderWriter>`
`#include <osgDB/FileCache>`
`#include <deque>`
`#include <list>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

class | osgDB::FindFileCallback
class | osgDB::ReadFileCallback
class | osgDB::WriteFileCallback
class | osgDB::FileLocationCallback

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_CALLBACKS 1

## Typedefs

typedef std::deque< std::string > | osgDB::FilePathList

## Enumerations

enum | osgDB::CaseSensitivity { osgDB::CASE_SENSITIVE , osgDB::CASE_INSENSITIVE }

## Macro Definition Documentation

## OSGDB_CALLBACKS

#define OSGDB_CALLBACKS 1